org.apache.felix.ipojo.util

## Class Fields<T>

- java.lang.Object
- - org.apache.felix.ipojo.util.Fields<T>

    public class Fields<T>
    extends java.lang.Object

Fluent API to retrieve fields of a given type.

### Constructor Summary

Constructors
Constructor and Description
`Fields()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Collection<T>` `get()`
`java.util.Collection<T>` `get(java.lang.Object o)`
`Fields` `in(java.lang.Class<?> c)`
`Fields` `in(java.lang.Object o)`
`java.util.Map<java.lang.reflect.Field,T>` `map()`
`java.util.Map<java.lang.reflect.Field,T>` `map(java.lang.Object o)`
`Fields` `ofType(java.lang.Class<? extends T> clazz)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Fields

    public Fields()

### Method Detail

#### get

    public java.util.Collection<T> get()

#### map

    public java.util.Map<java.lang.reflect.Field,T> map(java.lang.Object o)

#### map

    public java.util.Map<java.lang.reflect.Field,T> map()

#### get

    public java.util.Collection<T> get(java.lang.Object o)

#### ofType

    public Fields ofType(java.lang.Class<? extends T> clazz)

#### in

    public Fields in(java.lang.Object o)

#### in

    public Fields in(java.lang.Class<?> c)